import java.io.*;
import java.util.*;
import java.math.*;

// Задача "Деление с остатком"
// 10-ая Интернет-олимпиада сезона 2006-2007, базовый уровень
// Автор задачи: Федор Царев, tsarev@rain.ifmo.ru
// Автор решения: Максим Буздалов, buzdalov@rain.ifmo.ru

// Решение с использованием длинной арифметики, применяется для генерации правильных ответов.

public class divide_mb_bi {
    public static void main(String[] args) throws IOException {
        Scanner in = new Scanner(new File("divide.in"));
        BigInteger nom = in.nextBigInteger();
        BigInteger den = in.nextBigInteger();
        in.close();

        if (nom.compareTo(BigInteger.TEN.pow(100)) > 0 || nom.compareTo(BigInteger.ONE) < 0) {
            throw new AssertionError("Nominator is out of bounds");
        }
        if (den.compareTo(BigInteger.TEN.pow(  9)) > 0 || den.compareTo(BigInteger.ONE) < 0) {
            throw new AssertionError("Denominator is out of bounds");
        }

        BigInteger res = nom.remainder(den);

        PrintWriter out = new PrintWriter("divide.out");
        out.println(res);
        out.close();
    }
}